package com.yihu.jw.entity.base.patient;

import com.yihu.jw.entity.IntegerIdentityEntity;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.SequenceGenerator;
import javax.persistence.Table;


/**
 * 账号申诉实体
 * 
 * @author Administrator on  2018年11月27日
 *
 */
@Entity
@Table(name = "account_appeal")
@SequenceGenerator(name="id_generated", sequenceName="ACCOUNT_APPEAL_SEQ")
public class AccountAppealDO extends IntegerIdentityEntity {

    /**
     * 反馈问题类型，功能异常，功能优化，新功能建议，其他
     */
    public enum Type{
        mobileCannotUse(0),
        passwordCannotFound(1),
        idcardOccupied(2),
        other(3);

        private int value;

        private Type(int value){
            this.value = value;
        }

        public int getValue() {
            return value;
        }

        public void setValue(int value) {
            this.value = value;
        }
    }

    /**
	 * 申诉问题类型（0-手机号码无法使用，1-无法找回密码，2-身份证被占用）
	 */
	private int type;

    /**
	 * 申诉内容，问题描述
	 */
	private String content;

    /**
	 * 申诉人姓名
	 */
	private String name;

    /**
	 * 申诉人身份证号码
	 */
	private String idcard;

    /**
	 * 申诉人手机号码
	 */
	private String mobile;

    /**
	 * 身份证正反面照片，存地址，逗号分割
	 */
	private String img;


	@Column(name = "type")
    public int getType() {
        return type;
    }
    public void setType(int type) {
        this.type = type;
    }

	@Column(name = "content")
    public String getContent() {
        return content;
    }
    public void setContent(String content) {
        this.content = content;
    }

	@Column(name = "name")
    public String getName() {
        return name;
    }
    public void setName(String name) {
        this.name = name;
    }

	@Column(name = "idcard")
    public String getIdcard() {
        return idcard;
    }
    public void setIdcard(String idcard) {
        this.idcard = idcard;
    }

	@Column(name = "mobile")
    public String getMobile() {
        return mobile;
    }
    public void setMobile(String mobile) {
        this.mobile = mobile;
    }

	@Column(name = "img")
    public String getImg() {
        return img;
    }
    public void setImg(String img) {
        this.img = img;
    }



}